SamplerResultTab (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.visualizers, class: SamplerResultTab

Package org.apache.jmeter.visualizers

# Class SamplerResultTab

java.lang.Object
org.apache.jmeter.visualizers.SamplerResultTab

All Implemented Interfaces:
  `ResultRenderer`

Direct Known Subclasses:
  `RenderAsDocument`, `RenderAsHTML`, `RenderAsHTMLFormatted`, `RenderAsJSON`, `RenderAsText`, `RenderAsXML`

public abstract class SamplerResultTab extends Object implements ResultRenderer
Right side in View Results Tree

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SamplerResultTab.RowResult`
  For model table

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `activateSearchExtension`
  `static final Color`
  `CLIENT_ERROR_COLOR`
  `static final Color`
  `REDIRECT_COLOR`
  `protected static final String`
  `REQUEST_VIEW_COMMAND`
  `protected JEditorPane`
  `results`
  Response Data shown here
  `protected JScrollPane`
  `resultsScrollPane`
  Contains results; contained in resultsPane
  `protected JTabbedPane`
  `rightSide`
  holds the tabbed panes
  `protected SearchTextExtension`
  `searchTextExtension`
  `static final Color`
  `SERVER_ERROR_COLOR`
  `protected static final String`
  `TEXT_COMMAND`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SamplerResultTab()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearData()`
  `void`
  `init()`
  `void`
  `renderImage(SampleResult sampleResult)`
  `void`
  `setBackgroundColor(Color backGround)`
  `void`
  `setLastSelectedTab(int index)`
  `void`
  `setRightSide(JTabbedPane side)`
  `void`
  `setSamplerResult(Object sample)`
  `protected void`
  `setTextOptimized(String data)`
  Optimized way to set text based on : http://javatechniques.com/blog/faster-jtextpane-text-insertion-part-i/
  `void`
  `setupTabPane()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.visualizers.ResultRenderer

  `renderResult, toString`

- ## Field Details

  - ### SERVER_ERROR_COLOR

    public static final Color SERVER_ERROR_COLOR

  - ### CLIENT_ERROR_COLOR

    public static final Color CLIENT_ERROR_COLOR

  - ### REDIRECT_COLOR

    public static final Color REDIRECT_COLOR

  - ### TEXT_COMMAND

    protected static final String TEXT_COMMAND
    See Also:
      - Constant Field Values

  - ### REQUEST_VIEW_COMMAND

    protected static final String REQUEST_VIEW_COMMAND
    See Also:
      - Constant Field Values

  - ### resultsScrollPane

    protected JScrollPane resultsScrollPane
    Contains results; contained in resultsPane

  - ### results

    protected JEditorPane results
    Response Data shown here

  - ### rightSide

    protected JTabbedPane rightSide
    holds the tabbed panes

  - ### searchTextExtension

    protected SearchTextExtension searchTextExtension

  - ### activateSearchExtension

    protected boolean activateSearchExtension

- ## Constructor Details

  - ### SamplerResultTab

    protected SamplerResultTab()

- ## Method Details

  - ### clearData

    public void clearData()
    Specified by:
      `clearData` in interface `ResultRenderer`

  - ### init

    public void init()
    Specified by:
      `init` in interface `ResultRenderer`

  - ### setupTabPane

    public void setupTabPane()
    Specified by:
      `setupTabPane` in interface `ResultRenderer`

  - ### setSamplerResult

    public void setSamplerResult(Object sample)
    Specified by:
      `setSamplerResult` in interface `ResultRenderer`

  - ### setRightSide

    public void setRightSide(JTabbedPane side)
    Specified by:
      `setRightSide` in interface `ResultRenderer`

  - ### setLastSelectedTab

    public void setLastSelectedTab(int index)
    Specified by:
      `setLastSelectedTab` in interface `ResultRenderer`

  - ### renderImage

    public void renderImage(SampleResult sampleResult)
    Specified by:
      `renderImage` in interface `ResultRenderer`

  - ### setBackgroundColor

    public void setBackgroundColor(Color backGround)
    Specified by:
      `setBackgroundColor` in interface `ResultRenderer`

  - ### setTextOptimized

    protected void setTextOptimized(String data)
    Optimized way to set text based on : http://javatechniques.com/blog/faster-jtextpane-text-insertion-part-i/
    Parameters:
      `data` - String data